/**
 * Higher-order function. Returns specialized function to compute signed
 * distance for 2D polygons of `N` vertices.
 *
 * @remarks
 * Based on original GLSL impl by Inigo Quilez:
 * - https://iquilezles.org/articles/distfunctions2d/
 *
 * @param N
 */
export declare const sdfPolygon2: (N: number) => import("@thi.ng/shader-ast").TaggedFn2<"vec2", "vec2[]", "float">;
//# sourceMappingURL=polygon.d.ts.map