import { vec2 } from "@thi.ng/shader-ast/ast/lit";
import { cos, sin } from "@thi.ng/shader-ast/builtin/math";
/**
 * Inline function. Returns vec2(sin(x), cos(x)).
 *
 * @param x -
 */
export const sincos = (x) => vec2(sin(x), cos(x));
/**
 * Inline function. Returns vec2(cos(x), sin(x)).
 *
 * @param x -
 */
export const cossin = (x) => vec2(cos(x), sin(x));
